(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./HeartDrawer.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadHeartShape = loadHeartShape;
    const HeartDrawer_js_1 = require("./HeartDrawer.js");
    async function loadHeartShape(engine, refresh = true) {
        engine.checkVersion("3.8.1");
        await engine.addShape(new HeartDrawer_js_1.HeartDrawer(), refresh);
    }
});
